QueryGraph
Queries entities in the graph store.
Request Syntax
POST /v2/domains/domainIdentifier/graph/query?maxResults=maxResults&nextToken=nextToken HTTP/1.1
Content-type: application/json
{
"additionalAttributes": {
"formNames": [ "string" ]
},
"match": [
{ ... }
]
}
URI Request Parameters
The request uses the following URI parameters.
- domainIdentifier
-
The identifier of the Amazon DataZone domain.
Pattern:
dzd[-_][a-zA-Z0-9_-]{1,36}Required: Yes
- maxResults
-
The maximum number of entities to return in a single call to
QueryGraph. When the number of entities to be listed is greater than the value ofMaxResults, the response contains aNextTokenvalue that you can use in a subsequent call toQueryGraphto list the next set of entities.Valid Range: Minimum value of 1. Maximum value of 50.
- nextToken
-
When the number of entities is greater than the default value for the
MaxResultsparameter, or if you explicitly specify a value forMaxResultsthat is less than the number of entities, the response includes a pagination token namedNextToken. You can specify thisNextTokenvalue in a subsequent call toQueryGraphto list the next set of entities.Length Constraints: Minimum length of 1. Maximum length of 8192.
Request Body
The request accepts the following data in JSON format.
- additionalAttributes
-
Additional details on the queried entity that can be requested in the response.
Type: AdditionalAttributes object
Required: No
- match
-
List of query match clauses.
Type: Array of MatchClause objects
Array Members: Fixed number of 2 items.
Required: Yes
Response Syntax
HTTP/1.1 200
Content-type: application/json
{
"items": [
{ ... }
],
"nextToken": "string"
}
Response Elements
If the action is successful, the service sends back an HTTP 200 response.
The following data is returned in JSON format by the service.
- items
-
The results of the
QueryGraphaction.Type: Array of ResultItem objects
- nextToken
-
When the number of entities is greater than the default value for the
MaxResultsparameter, or if you explicitly specify a value forMaxResultsthat is less than the number of entities, the response includes a pagination token namedNextToken. You can specify thisNextTokenvalue in a subsequent call toQueryGraphto list the next set of entities.Type: String
Length Constraints: Minimum length of 1. Maximum length of 8192.
Errors
For information about the errors that are common to all actions, see Common Errors.
- AccessDeniedException
-
You do not have sufficient access to perform this action.
HTTP Status Code: 403
- InternalServerException
-
The request has failed because of an unknown error, exception or failure.
HTTP Status Code: 500
- ThrottlingException
-
The request was denied due to request throttling.
HTTP Status Code: 429
- UnauthorizedException
-
You do not have permission to perform this action.
HTTP Status Code: 401
- ValidationException
-
The input fails to satisfy the constraints specified by the AWS service.
HTTP Status Code: 400
See Also
For more information about using this API in one of the language-specific AWS SDKs, see the following: